Bug 604173 - Rebuild qpid-cpp to synchronize with MRG 1.3
Rebuild qpid-cpp to synchronize with MRG 1.3
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
6.0
All Linux
low Severity high
: rc
: ---
Assigned To: Kim van der Riet
MRG Quality Engineering
:
Depends On:
Blocks: 607290
  Show dependency treegraph
 
Reported: 2010-06-15 10:42 EDT by Kim van der Riet
Modified: 2010-11-15 09:43 EST (History)
6 users (show)

See Also:
Fixed In Version: qpid-cpp-0.7.946106-3.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 607290 (view as bug list)
Environment:
Last Closed: 2010-11-15 09:43:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Complete list of patches for MRG 1.3 (10.88 KB, text/plain)
2010-06-15 10:42 EDT, Kim van der Riet
no flags Details

  None (edit)
Description Kim van der Riet 2010-06-15 10:42:13 EDT
Created attachment 424175 [details]
Complete list of patches for MRG 1.3

There are a number of bugfixes that have been put into MRG 1.3 (see attachment for full list). Because of tight coupling between the MRG product line and the broker/client libraries in RHEL-6, everything is built together. Many (but not all) of the fixes listed directly affect these RHEL-6 core libraries.

One of these patches (qpid 0010, marked with an asterisk) was included in the last REHL-6 build (as it fixed a compatibility problem which prevented libvert from building).
Comment 1 RHEL Product and Program Management 2010-06-15 10:53:08 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 2 Alan Pevec 2010-06-19 08:23:26 EDT
(In reply to comment #0)
> There are a number of bugfixes that have been put into MRG 1.3 (see attachment
> for full list). Because of tight coupling between the MRG product line and the
> broker/client libraries in RHEL-6, everything is built together.

Looks like you missed to rebuild libvirt-qpid:
libvirt-qpid-0.2.21-1.el6.x86_64 requires libqpidclient.so.2()(64bit)
Comment 3 Alan Pevec 2010-06-19 10:39:12 EDT
(In reply to comment #2)
> Looks like you missed to rebuild libvirt-qpid:
> libvirt-qpid-0.2.21-1.el6.x86_64 requires libqpidclient.so.2()(64bit)    

Rebuilt, libvirt-qpid-0.2.21-2.el6 requires libqpidclient.so.3()(64bit)
Comment 6 Ian Main 2010-06-23 13:58:37 EDT
So we're ok here then?  Sorry I'm a bit confused.. :)  Does it still need a rebuild?
Comment 8 Alan Pevec 2010-06-23 15:38:32 EDT
(In reply to comment #6)
> So we're ok here then?  Sorry I'm a bit confused.. :)  Does it still need a
> rebuild?    

I went ahead and rebuilt libvirt-qpid (comment 3) since it was breaking RHEV-H 6 image builds.
Comment 9 Ian Main 2010-06-24 15:31:57 EDT
Thank you kindly Alan :)
Comment 12 releng-rhel@redhat.com 2010-11-15 09:43:34 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.